Summary:	An fdisk-like partitioning tool for GPT disks
Summary(pl.UTF-8):	Podobne do fdiska narzędzie do partycjonowania dysków GPT
Name:		gdisk
Version:	1.0.7
Release:	1
License:	GPL v2
Group:		Base
Source0:	https://downloads.sourceforge.net/gptfdisk/gptfdisk-%{version}.tar.gz
# Source0-md5:	9ce09147b75866ac1877d417092d21e4
URL:		http://www.rodsbooks.com/gdisk/
BuildRequires:	libstdc++-devel
BuildRequires:	libuuid-devel
BuildRequires:	ncurses-devel
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GPT fdisk (gdisk) is an fdisk-like partitioning tool for GPT disks.
It features a command-line interface, fairly direct manipulation of
partition table structures, recovery tools to help you deal with
corrupt partition tables, and the ability to convert MBR disks to GPT
format.

%description -l pl.UTF-8
GPT fdisk (gdisk) to podobne do fdiska narzędzie do partycjonowania
dysków GPT. Ma interfejs linii poleceń, w miarę bezpośrednie operacje
na strukturach tablicy partycji, narzędzia pomagające przy naprawie
uszkodzonych tablic partycji oraz możliwość konwersji dysków MBR do
formatu GPT.

%prep
%setup -q -n gptfdisk-%{version}

%build
%{__make} \
	CXX="%{__cxx}" \
	CXXFLAGS="%{rpmcxxflags} %{rpmcppflags} -D_FILE_OFFSET_BITS=64"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install fixparts *gdisk $RPM_BUILD_ROOT%{_sbindir}
install -p *.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README *.html
%attr(755,root,root) %{_sbindir}/cgdisk
%attr(755,root,root) %{_sbindir}/fixparts
%attr(755,root,root) %{_sbindir}/gdisk
%attr(755,root,root) %{_sbindir}/sgdisk
%{_mandir}/man8/cgdisk.8*
%{_mandir}/man8/fixparts.8*
%{_mandir}/man8/gdisk.8*
%{_mandir}/man8/sgdisk.8*
%changelog
* Sun May 02 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gdisk.git;a=log;h=master

* Sun May 02 2021 Jan Palus <atler@pld-linux.org> 742be05
- up to 1.0.7

* Sun Jan 17 2021 Jan Palus <atler@pld-linux.org> 2fdeda8
- up to 1.0.6 (fixes CVE-2020-0256 CVE-2021-0308)

* Sun Oct 04 2020 Jan Palus <atler@pld-linux.org> ddc4ec7
- up to 1.0.5

* Sun Oct 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 9c73dbf
- updated to 1.0.4

* Tue Jan 09 2018 Tomasz Pala <gotar@pld-linux.org> a848595
- upgraded to 1.0.3, packaged cgdisk

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> 75a4ea6
- release 9 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> c43c0f1
- rebuild with icu 58.2
- release 8 (by relup.sh)

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 5aacaeb
- icu-57.1 rebuild
- release 7 (by relup.sh)

* Wed Nov 18 2015 Jan Rękorajski <baggins@pld-linux.org> c2f9191
- release 6 (by relup.sh)

* Mon Jun 01 2015 Elan Ruusamäe <glen@delfi.ee> 342195d
- icu rebuild
- release 5 (by relup.sh)

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 982d185
- x32 rebuild
- release 4 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ab58f5
- release 3 (by relup.sh)

* Fri Nov 01 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9e80b5e
- release 2 (by relup.sh)

* Sat Sep 28 2013 Jan Palus <jan.palus@gmail.com> f4b709c
- up to 0.8.7

* Fri Apr 12 2013 Jakub Bogusz <qboosh@pld-linux.org> cae4a82
- added link patch (fixes build with -Wl,--no-copy-dt-needed-entries)
- avoid disabling Unicode support
- pl

* Sun Mar 24 2013 Jan Palus <jan.palus@gmail.com> 84a650f
- up to 0.8.6

* Thu Sep 20 2012 Jan Rękorajski <baggins@pld-linux.org> f292706
- updated to 0.8.5

* Thu Sep 20 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 802e33a
- release 3 (by relup.sh)

* Sun Oct 09 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4897cdf
- release 2

* Wed Jul 20 2011 Elan Ruusamäe <glen@pld-linux.org> 598dda2
- md5

